ccrpminilogo.gif (1886 bytes)  Knowledge Base
 KB Index    FAQ Index    Controls  
  
CCRP General Development

INDEX
CCRP FAQ Index
CCRP KB Index

PRB: Installing CCRP Controls with VB6 Fails to Register Control
Last reviewed November 6, 1998

  
   
The information in this article applies to:

  • CCRP Controls requiring VB5
       
Symptom

When installing an application developed with Visual Basic 6 which uses a non-VB6-based CCRP control, running the setup installation on a client machine fails to register the CCRP control.
   

Cause

CCRP controls specify the minimum VB runtime requirements for each control. With the release of VB6, these requirements now extend to the client machine where a VB5-based CCRP control is installed.
   

Solution

Where a CCRP control indicates that a specific version of VB5 is required on the development machine, the VB5 runtime file msvbvm50.dll must also be installed onto the client prior to installing the application. Alternatively, upgrade your project to VB6-based controls where available.
   

Status

This is a limitation of the VB runtimes, which are not backward compatible.


    
The CCRP Team
Copyright 1998-2004 Common Controls Replacement Project